## libsdl1.2 1.2.4

=== src/main/macosx/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# On OS X, install the SDLMain.nib.
# We use an ugly hack to force the creation of the
# destination dir, maybe somebody with more automake
# experience knows how to do this properly?


SHELL = /bin/sh

srcdir = .
top_srcdir = ../../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/SDL
pkglibdir = $(libdir)/SDL
pkgincludedir = $(includedir)/SDL

top_builddir = ../../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
ARCH = linux
ARTSCCONFIG = /usr/bin/artsc-config
AS = 
ASFLAGS = 
AUDIO_DRIVERS =  disk/libaudio_disk.la dsp/libaudio_dsp.la dma/libaudio_dma.la alsa/libaudio_alsa.la esd/libaudio_esd.la
AUDIO_SUBDIRS =  disk dsp dma alsa esd
CC = gcc
CDROM_DRIVERS =  linux/libcdrom_linux.la
CDROM_SUBDIRS =  linux
CXX = c++
DIRECTFB_CFLAGS = 
DIRECTFB_LIBS = 
DLLTOOL = 
ESD_CFLAGS = 
ESD_CONFIG = /usr/bin/esd-config
ESD_LIBS = -L/usr/lib -lesd -laudiofile -lm
JOYSTICK_DRIVERS =  linux/libjoystick_linux.la
JOYSTICK_SUBDIRS =  linux
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LT_AGE = 0
LT_CURRENT = 0
LT_RELEASE = 1.2
LT_REVISION = 4
MAKEINFO = makeinfo
NASM = /home/slouken/bin/nasm
NASMFLAGS = -f elf
OBJC = 
OBJCDEPMODE = 
OBJCFLAGS = 
OBJDUMP = 
PACKAGE = SDL
PKG_CONFIG = no
PTH_CONFIG = 
RANLIB = ranlib
SDL_BINARY_AGE = 4
SDL_CFLAGS =  -D_REENTRANT
SDL_EXTRADIRS =  audio video events joystick cdrom thread timer endian file hermes
SDL_EXTRALIBS =  audio/libaudio.la video/libvideo.la events/libevents.la joystick/libjoystick.la cdrom/libcdrom.la thread/libthread.la timer/libtimer.la endian/libendian.la file/libfile.la hermes/libhermes.la
SDL_INTERFACE_AGE = 4
SDL_LIBS = -lSDL -lpthread
SDL_MAJOR_VERSION = 1
SDL_MICRO_VERSION = 4
SDL_MINOR_VERSION = 2
SDL_RLD_FLAGS = -Wl,-rpath,${exec_prefix}/lib
SDL_VERSION = 1.2.4
SHARED_SYSTEM_LIBS = 
STATIC_SYSTEM_LIBS =  -lm -lasound -L/usr/lib -lesd -laudiofile -lm  -L/usr/X11R6/lib -lX11 -lXext -ldl
SYSTEM_LIBS =  -lm -lasound -L/usr/lib -lesd -laudiofile -lm  -L/usr/X11R6/lib -lX11 -lXext -ldl
VERSION = 1.2.4
VIDEO_DRIVERS =  dummy/libvideo_null.la x11/libvideo_x11.la XFree86/Xxf86vm/libXFree86_Xxf86vm.la XFree86/Xxf86dga/libXFree86_Xxf86dga.la XFree86/Xv/libXFree86_Xv.la XFree86/Xinerama/libXFree86_Xinerama.la dga/libvideo_dga.la fbcon/libvideo_fbcon.la
VIDEO_SUBDIRS =  dummy x11 XFree86/Xxf86vm XFree86/Xxf86dga XFree86/Xv XFree86/Xinerama dga fbcon
arts_lib = 
esd_lib = libesd.so.0

#hackhacknibdatadir = $(nibdatadir)/SDLMain.nib
#hackhacknibdata_DATA = info.nib

#nibdatadir = $(datadir)/sdl
#nibdata_DATA = 	SDLMain.nib/classes.nib		SDLMain.nib/info.nib		SDLMain.nib/objects.nib		Info.plist

EXTRA_DIST = SDLMain.h SDLMain.m info.nib
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =  Info.plist
DATA =  $(hackhacknibdata_DATA) $(nibdata_DATA)

DIST_COMMON =  Info.plist.in Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps src/main/macosx/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

Info.plist: $(top_builddir)/config.status Info.plist.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

install-hackhacknibdataDATA: $(hackhacknibdata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(hackhacknibdatadir)
	@list='$(hackhacknibdata_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(hackhacknibdatadir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(hackhacknibdatadir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(hackhacknibdatadir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(hackhacknibdatadir)/$$p; \
	  fi; fi; \
	done

uninstall-hackhacknibdataDATA:
	@$(NORMAL_UNINSTALL)
	list='$(hackhacknibdata_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(hackhacknibdatadir)/$$p; \
	done

install-nibdataDATA: $(nibdata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(nibdatadir)
	@list='$(nibdata_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(nibdatadir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(nibdatadir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(nibdatadir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(nibdatadir)/$$p; \
	  fi; fi; \
	done

uninstall-nibdataDATA:
	@$(NORMAL_UNINSTALL)
	list='$(nibdata_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(nibdatadir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/main/macosx

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-hackhacknibdataDATA install-nibdataDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-hackhacknibdataDATA uninstall-nibdataDATA
uninstall: uninstall-am
all-am: Makefile $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(hackhacknibdatadir) \
		$(DESTDIR)$(nibdatadir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: uninstall-hackhacknibdataDATA install-hackhacknibdataDATA \
uninstall-nibdataDATA install-nibdataDATA tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# The nib and exports directories need to be copied into place
# when building a distribution.
dist-hook:
	cp -rp SDLMain.nib $(distdir)
	cp -rp exports $(distdir)
	(cd $(distdir) && rm -rf `find . -name CVS`)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## libsdl1.2 1.2.8-3

=== src/main/macosx/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# src/main/macosx/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# On OS X, install the SDLMain.nib.
# We use an ugly hack to force the creation of the
# destination dir, maybe somebody with more automake
# experience knows how to do this properly?

srcdir = /home/kusalone/tutk/omat/svncrap/libsdl1.2/src/main/macosx
top_srcdir = /home/kusalone/tutk/omat/svncrap/libsdl1.2
VPATH = /home/kusalone/tutk/omat/svncrap/libsdl1.2/src/main/macosx
pkgdatadir = $(datadir)/SDL
pkglibdir = $(libdir)/SDL
pkgincludedir = $(includedir)/SDL
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnu
host_triplet = arm-unknown-linux-gnu
target_triplet = arm-unknown-linux-gnu
subdir = src/main/macosx
DIST_COMMON = $(srcdir)/Info.plist.in $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = Info.plist
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(hackhacknibdatadir)" "$(DESTDIR)$(nibdatadir)"
hackhacknibdataDATA_INSTALL = $(INSTALL_DATA)
nibdataDATA_INSTALL = $(INSTALL_DATA)
DATA = $(hackhacknibdata_DATA) $(nibdata_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.8
ALLOCA = 
ALSA_CFLAGS = 
ALSA_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = tar
AR = arm-linux-ar
ARCH = linux
ARTSCCONFIG = 
AS = as
ASFLAGS = 
AUDIO_DRIVERS =  esd/libaudio_esd.la
AUDIO_SUBDIRS =  esd
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.8
AWK = gawk
CC = arm-linux-gcc
CCAS = arm-linux-gcc
CCASFLAGS = 
CCDEPMODE = depmode=gcc3
CDROM_DRIVERS =  linux/libcdrom_linux.la
CDROM_SUBDIRS =  linux
CFLAGS = -Wall -g -O2 -Wall -DENABLE_DUMMYVIDEO -DUSE_DLOPEN -DESD_SUPPORT -DESD_DYNAMIC=$(esd_lib)   -DENABLE_X11 -DXTHREADS -I/home/kusalone/tutk/omat/svncrap/libsdl1.2/include -I/home/kusalone/tutk/omat/svncrap/libsdl1.2/src/video -DXFREE86_DGAMOUSE -DDEFAULT_DGAMOUSE -DXFREE86_XV -DHAVE_XINERAMA -Isrc/video -DENABLE_DGA -DENABLE_FBCON -DUSE_INPUT_EVENTS -D_REENTRANT -DSDL_USE_PTHREADS -DHAVE_SIGACTION -I$(top_srcdir)/include -I$(top_srcdir)/include/SDL -I$(top_srcdir)/src -I$(top_srcdir)/src/main/linux -I$(top_srcdir)/src/audio -I$(top_srcdir)/src/video -I$(top_srcdir)/src/video/XFree86/extensions -I$(top_srcdir)/src/events -I$(top_srcdir)/src/joystick -I$(top_srcdir)/src/cdrom -I$(top_srcdir)/src/thread -I$(top_srcdir)/src/timer -I$(top_srcdir)/src/endian -I$(top_srcdir)/src/file -I$(top_builddir)/src/thread
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wall -g -O2 -Wall -DENABLE_DUMMYVIDEO -DUSE_DLOPEN -DESD_SUPPORT -DESD_DYNAMIC=$(esd_lib)   -DENABLE_X11 -DXTHREADS -I/home/kusalone/tutk/omat/svncrap/libsdl1.2/include -I/home/kusalone/tutk/omat/svncrap/libsdl1.2/src/video -DXFREE86_DGAMOUSE -DDEFAULT_DGAMOUSE -DXFREE86_XV -DHAVE_XINERAMA -Isrc/video -DENABLE_DGA -DENABLE_FBCON -DUSE_INPUT_EVENTS -D_REENTRANT -DSDL_USE_PTHREADS -DHAVE_SIGACTION -I$(top_srcdir)/include -I$(top_srcdir)/include/SDL -I$(top_srcdir)/src -I$(top_srcdir)/src/main/linux -I$(top_srcdir)/src/audio -I$(top_srcdir)/src/video -I$(top_srcdir)/src/video/XFree86/extensions -I$(top_srcdir)/src/events -I$(top_srcdir)/src/joystick -I$(top_srcdir)/src/cdrom -I$(top_srcdir)/src/thread -I$(top_srcdir)/src/timer -I$(top_srcdir)/src/endian -I$(top_srcdir)/src/file -I$(top_builddir)/src/thread
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"SDL\" -DVERSION=\"1.2.8\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 
DEPDIR = .deps
DIRECTFB_CFLAGS = 
DIRECTFB_LIBS = 
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_SHARED_FALSE = #
ENABLE_SHARED_TRUE = 
ENABLE_STATIC_FALSE = #
ENABLE_STATIC_TRUE = 
ESD_CFLAGS = 
ESD_CONFIG = /usr/bin/esd-config
ESD_LIBS = -L/usr/lib -lesd -laudiofile -lm
EXEEXT = 
F77 = 
FFLAGS = 
HAVE_NASM_FALSE = 
HAVE_NASM_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JOYSTICK_DRIVERS =  linux/libjoystick_linux.la
JOYSTICK_SUBDIRS =  linux
LDFLAGS = 
LIBOBJS = 
LIBS =  -lpthread
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 7
LT_CURRENT = 7
LT_RELEASE = 1.2
LT_REVISION = 1
MAKEINFO = makeinfo
NASM = 
NASMFLAGS = 
OBJC = 
OBJCDEPMODE = 
OBJCFLAGS = 
OBJDUMP = objdump
OBJEXT = o
OSMESA_CONFIG = 
PACKAGE = SDL
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = 
PTH_CONFIG = 
RANLIB = arm-linux-ranlib
SDL_BINARY_AGE = 8
SDL_CFLAGS =  -D_REENTRANT
SDL_EXTRADIRS =  audio video events joystick cdrom thread timer endian file cpuinfo
SDL_EXTRALIBS =  audio/libaudio.la video/libvideo.la events/libevents.la joystick/libjoystick.la cdrom/libcdrom.la thread/libthread.la timer/libtimer.la endian/libendian.la file/libfile.la cpuinfo/libcpuinfo.la
SDL_INTERFACE_AGE = 1
SDL_LIBS = -lSDL -lpthread
SDL_MAJOR_VERSION = 1
SDL_MICRO_VERSION = 8
SDL_MINOR_VERSION = 2
SDL_RLD_FLAGS = 
SDL_STATIC_LIBS = -lSDL -lpthread
SDL_VERSION = 1.2.8
SET_MAKE = 
SHARED_SYSTEM_LIBS = 
SHELL = /bin/sh
STATIC_SYSTEM_LIBS =  -lm -ldl  -lX11 -lXext
STRIP = arm-linux-strip
SYSTEM_LIBS =  -lm -ldl  -lX11 -lXext
TARGET_AIX_FALSE = 
TARGET_AIX_TRUE = #
TARGET_BEOS_FALSE = 
TARGET_BEOS_TRUE = #
TARGET_BSDI_FALSE = 
TARGET_BSDI_TRUE = #
TARGET_FREEBSD_FALSE = 
TARGET_FREEBSD_TRUE = #
TARGET_IRIX_FALSE = 
TARGET_IRIX_TRUE = #
TARGET_LINUX_FALSE = #
TARGET_LINUX_TRUE = 
TARGET_MACOSX_FALSE = 
TARGET_MACOSX_TRUE = #
TARGET_MACOS_FALSE = 
TARGET_MACOS_TRUE = #
TARGET_MINT_FALSE = 
TARGET_MINT_TRUE = #
TARGET_NETBSD_FALSE = 
TARGET_NETBSD_TRUE = #
TARGET_OPENBSD_FALSE = 
TARGET_OPENBSD_TRUE = #
TARGET_QNX_FALSE = 
TARGET_QNX_TRUE = #
TARGET_QTOPIA_FALSE = 
TARGET_QTOPIA_TRUE = #
TARGET_SOLARIS_FALSE = 
TARGET_SOLARIS_TRUE = #
TARGET_WIN32_FALSE = 
TARGET_WIN32_TRUE = #
USE_CLONE_FALSE = 
USE_CLONE_TRUE = #
USE_DIRECTX_FALSE = 
USE_DIRECTX_TRUE = #
VERSION = 1.2.8
VIDEO_DRIVERS =  dummy/libvideo_null.la x11/libvideo_x11.la XFree86/Xxf86dga/libXFree86_Xxf86dga.la XFree86/Xv/libXFree86_Xv.la XFree86/Xinerama/libXFree86_Xinerama.la dga/libvideo_dga.la fbcon/libvideo_fbcon.la
VIDEO_SUBDIRS =  dummy x11 XFree86/Xxf86dga XFree86/Xv XFree86/Xinerama dga fbcon
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
ac_ct_AR = 
ac_ct_AS = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DLLTOOL = 
ac_ct_F77 = 
ac_ct_OBJDUMP = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
alsa_lib = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__fastdepOBJC_FALSE = 
am__fastdepOBJC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
arts_lib = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
esd_lib = libesd.so.0
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/kusalone/tutk/omat/svncrap/libsdl1.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnu
target_alias = 
target_cpu = arm
target_os = linux-gnu
target_vendor = unknown
#hackhacknibdatadir = $(nibdatadir)/SDLMain.nib
#hackhacknibdata_DATA = info.nib
#nibdatadir = $(datadir)/sdl
#nibdata_DATA = \
#	SDLMain.nib/classes.nib	\
#	SDLMain.nib/info.nib	\
#	SDLMain.nib/objects.nib	\
#	Info.plist

EXTRA_DIST = SDLMain.h SDLMain.m info.nib
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/main/macosx/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/main/macosx/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Info.plist: $(top_builddir)/config.status $(srcdir)/Info.plist.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-hackhacknibdataDATA: $(hackhacknibdata_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(hackhacknibdatadir)" || $(mkdir_p) "$(DESTDIR)$(hackhacknibdatadir)"
	@list='$(hackhacknibdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(hackhacknibdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(hackhacknibdatadir)/$$f'"; \
	  $(hackhacknibdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(hackhacknibdatadir)/$$f"; \
	done

uninstall-hackhacknibdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(hackhacknibdata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(hackhacknibdatadir)/$$f'"; \
	  rm -f "$(DESTDIR)$(hackhacknibdatadir)/$$f"; \
	done
install-nibdataDATA: $(nibdata_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(nibdatadir)" || $(mkdir_p) "$(DESTDIR)$(nibdatadir)"
	@list='$(nibdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(nibdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(nibdatadir)/$$f'"; \
	  $(nibdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(nibdatadir)/$$f"; \
	done

uninstall-nibdataDATA:
	@$(NORMAL_UNINSTALL)

=== debian/changelog ===
libsdl1.2 (1.2.8-3) unstable; urgency=high

  * Fixed automake dependency to version 1.8
  * Added esd configure options and dependencies to enable ESD audio.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 23 Mar 2005 14:00:00 +0200

libsdl1.2 (1.2.8-2) unstable; urgency=low

  * Added automake build dependency.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 21 Feb 2005 16:00:00 +0200

libsdl1.2 (1.2.8) unstable; urgency=low

  * Initial Release.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 19 Jan 2005 13:09:27 +0200

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-video-x11-vm --disable-nasm --disable-oss --disable-alsa --disable-arts --disable-nas --disable-diskaudio --disable-mintaudio --enable-esd


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libsdl1.2 1.2.8-10

=== debian/changelog ===
libsdl1.2 (1.2.8-10) unstable; urgency=low

  * Disabled framebuffer backend.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 22 Feb 2006 13:58:53 +0200

libsdl1.2 (1.2.8-9) unstable; urgency=low

  * Emptied contents of src/hermes/mmxp2_32.asm.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon,  5 Sep 2005 16:28:32 +0300

libsdl1.2 (1.2.8-8) unstable; urgency=medium

  * Key event bug fixed.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Fri, 22 Jul 2005 16:24:32 +0300

libsdl1.2 (1.2.8-7) unstable; urgency=medium

  * Grabbing is now disabled.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 21 Jul 2005 15:50:01 +0300

libsdl1.2 (1.2.8-6) unstable; urgency=low

  * bitmodes over 16 will instantly about SDL_SetVideoMode() and will return
    NULL.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Fri, 17 Jun 2005 13:01:29 +0300

libsdl1.2 (1.2.8-5) unstable; urgency=low

  * Changed fullscreen behavior: uses now WM fullscreen property instead of
    OverrideRedirect.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 09 Jun 2005 14:10:46 +0200

libsdl1.2 (1.2.8-4) unstable; urgency=high

  * Runs aclocal before configuring

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 10 apr 2005 12:27:00 +0200

=== debian/control ===
Source: libsdl1.2
Priority: optional
Maintainer: Kuisma Salonen <kuisma.salonen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), xlibs-dev, automake1.8, osso-esd-dev
Standards-Version: 3.6.0

Package: libsdl1.2-dev
Section: devel
Architecture: any
Depends: libsdl1.2 (= ${Source-Version}), xlibs-dev, osso-esd-dev
Description: Development files for libsdl
 Development headers and static libraries for libsdl.

Package: libsdl1.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple "Direct"Media Layer
 Altrough it claims to be "direct", it is not that
 direct as you can see after using it for a while...

=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,10 @@
 
 config.status: configure
 	dh_testdir
+	aclocal-1.8
+#	autoconf-1.8
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-video-x11-vm --disable-nasm --disable-oss --disable-alsa --disable-arts --disable-nas --disable-diskaudio --disable-mintaudio --enable-esd
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-video-x11-vm --disable-nasm --disable-oss --disable-alsa --disable-arts --disable-nas --disable-diskaudio --disable-mintaudio --enable-esd --disable-video-fbcon
 
 
 build: build-stamp

## libsdl1.2 1.2.8-13

=== debian/changelog ===
libsdl1.2 (1.2.8-13) unstable; urgency=low

  * Backend changed to ALSA instead of ESD. Fixes: NB#37873

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 16 Aug 2006 10:33:43 +0300

libsdl1.2 (1.2.8-12) unstable; urgency=low

  * No longer fails to create primary surface if bpp > 16 and SDL_ANYFORMAT is
    set.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue,  4 Jul 2006 17:05:21 +0300

libsdl1.2 (1.2.8-11) unstable; urgency=low

  * Dummy version.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Fri, 16 Jun 2006 14:17:24 +0300

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	aclocal-1.8
 #	autoconf-1.8
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-video-x11-vm --disable-nasm --disable-oss --disable-alsa --disable-arts --disable-nas --disable-diskaudio --disable-mintaudio --enable-esd --disable-video-fbcon
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-video-x11-vm --disable-nasm --disable-oss --enable-alsa --disable-arts --disable-nas --disable-diskaudio --disable-mintaudio --disable-esd --disable-video-fbcon
 
 
 build: build-stamp

## libsdl1.2 1.2.8-15

=== debian/changelog ===
libsdl1.2 (1.2.8-15) unstable; urgency=low

  * src/video/x11/: Both windows get WM classname and unused is unmapped.
    Fixes: NB#47798

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 29 Nov 2006 12:28:32 +0200

libsdl1.2 (1.2.8-14) unstable; urgency=low

  * src/video/SDL_video.c: SDL_UpdateRect() clips now the rect to the screen.
  * debian/rules: ESD configured back in as it's on lower priority than ALSA
    audio backend so it will be used only if ALSA is unavailable.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 26 Sep 2006 12:47:32 +0300

## libsdl1.2 1.2.8-17

=== debian/changelog ===
libsdl1.2 (1.2.8-17) unstable; urgency=low

  * src/video/x11/: X11_LeaveFullScreen() won't remap the WM window when
    destroying SDL window in fullscreen mode.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 23 Jan 2007 16:03:54 +0200

libsdl1.2 (1.2.8-16) unstable; urgency=low

  * src/SDL_fatal.c: fatals will raise invoking signal after SDL_Quit().
    Fixes: NB#48789
  * src/video/x11/SDL_x11video.c: windowed window will be unmapped when
    destroying the window from fullscreen.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 22 Jan 2007 14:05:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libsdl1.2
 Priority: optional
 Maintainer: Kuisma Salonen <kuisma.salonen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), xlibs-dev, automake1.8, osso-esd-dev
+Build-Depends: debhelper (>= 4.0.0), xlibs-dev, automake1.8, libasound2-dev
 Standards-Version: 3.6.0
 
 Package: libsdl1.2-dev
 Section: devel
 Architecture: any
-Depends: libsdl1.2 (= ${Source-Version}), xlibs-dev, osso-esd-dev
+Depends: libsdl1.2 (= ${Source-Version}), xlibs-dev
 Description: Development files for libsdl
  Development headers and static libraries for libsdl.

## libsdl1.2 1.2.8-18

=== debian/changelog ===
libsdl1.2 (1.2.8-18) unstable; urgency=low

  * remove from the source tree the svn-commit-file

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Wed, 24 Jan 2007 12:14:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	aclocal-1.8
 #	autoconf-1.8
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-video-x11-vm --disable-nasm --disable-oss --enable-alsa --disable-arts --disable-nas --disable-diskaudio --disable-mintaudio --disable-esd --disable-video-fbcon
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-video-x11-vm --disable-nasm --disable-oss --enable-alsa --disable-arts --disable-nas --disable-diskaudio --disable-mintaudio --enable-esd --disable-video-fbcon
 
 
 build: build-stamp

## libsdl1.2 1.2.8-18.1

=== debian/changelog ===
libsdl1.2 (1.2.8-18.1) unstable; urgency=low

  * debian/control: replaced dependency of xlibs-dev.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 12 Feb 2007 13:03:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libsdl1.2
 Priority: optional
 Maintainer: Kuisma Salonen <kuisma.salonen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), xlibs-dev, automake1.8, libasound2-dev
+Build-Depends: debhelper (>= 4.0.0), libx11-dev, libsm-dev, libxpm-dev, libxext-dev, libxmu-dev, libxmuu-dev, libxi-dev, libxrandr-dev, x-dev, automake1.8, libasound2-dev
 Standards-Version: 3.6.0
 
 Package: libsdl1.2-dev
 Section: devel
 Architecture: any
-Depends: libsdl1.2 (= ${Source-Version}), xlibs-dev
+Depends: libsdl1.2 (= ${Source-Version}), libx11-dev
 Description: Development files for libsdl
  Development headers and static libraries for libsdl.

## libsdl1.2 1.2.8-21

=== debian/changelog ===
libsdl1.2 (1.2.8-21) unstable; urgency=low

  * debian/control: removed unneccessary Xmu dependencies.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 27 Aug 2007 13:22:43 +0300

libsdl1.2 (1.2.8-20) unstable; urgency=low

  * debian/: -dbg package provided.
  * debian/: /etc/osso-af-init/sdl.defs will be installed for setting certain
    environment variables. Fixes NB#64964
  * debian/control: dev package depends on libxext-dev. Fixes: NB#58884
  * debian/rules: vfp enabled if available. Fixes: NB#64482
  * debian/libsdl1.2-dev.files & .install: Removed .la files from dev package.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Fri, 24 Aug 2007 16:52:32 +0300

libsdl1.2 (1.2.8-19) unstable; urgency=low

  * debian/changelog: replaced xlibs-dev build dependancy
  * debian/changelog: added osso-esd-dev build dependancy
  * video/X11/SDL_x11events: Focus will be set back to SDL_Window if parent
    window will get it.
  * video/X11/SDL_x11wm.c: FSwindow and WMwindow are automatically appended to
    the WM info struct as maemo SDK provides SDL 1.2.8 (there was a bug which
    prevented those from being appended).

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon,  5 Feb 2007 14:49:56 +0200

=== debian/control ===
Source: libsdl1.2
Priority: optional
Maintainer: Kuisma Salonen <kuisma.salonen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libx11-dev, libsm-dev, libxpm-dev, libxext-dev, libxi-dev, libxrandr-dev, x-dev, automake1.8, libasound2-dev, osso-esd-dev
Standards-Version: 3.6.0

Package: libsdl1.2-dev
Section: devel
Architecture: any
Depends: libsdl1.2 (= ${Source-Version}), xlibs-dev, libxext-dev
Description: Development files for libsdl
 Development headers and static libraries for libsdl.

Package: libsdl1.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple "Direct"Media Layer
 Altrough it claims to be "direct", it is not that
 direct as you can see after using it for a while...

Package: libsdl1.2-dbg
Section: libdevel
Architecture: any
Depends: libsdl1.2 (= ${Source-Version})
Description: libsdl debug symbols
 Debug symbols for libsdl.

## libsdl1.2 1.2.8-22

=== debian/changelog ===
libsdl1.2 (1.2.8-22) unstable; urgency=low

  * debian/control: removed remains of xlibs-dev dependencies from -dev pkg.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 30 Aug 2007 14:39:25 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Package: libsdl1.2-dev
 Section: devel
 Architecture: any
-Depends: libsdl1.2 (= ${Source-Version}), xlibs-dev, libxext-dev
+Depends: libsdl1.2 (= ${Source-Version}), libx11-dev, libsm-dev, libxext-dev, libxi-dev, libxrandr-dev
 Description: Development files for libsdl
  Development headers and static libraries for libsdl.

## libsdl1.2 1.2.8-23

=== debian/changelog ===
libsdl1.2 (1.2.8-23) unstable; urgency=low

  * debian/control: added libxmu-dev back to build dependencies as X backend
    depends on it. Removing it was big oops in the first place.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 10 Aug 2007 12:41:18 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libsdl1.2
 Priority: optional
 Maintainer: Kuisma Salonen <kuisma.salonen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libx11-dev, libsm-dev, libxpm-dev, libxext-dev, libxi-dev, libxrandr-dev, x-dev, automake1.8, libasound2-dev, osso-esd-dev
+Build-Depends: debhelper (>= 4.0.0), libx11-dev, libsm-dev, libxpm-dev, libxext-dev, libxi-dev, libxrandr-dev, libxmu-dev, x-dev, automake1.8, libasound2-dev, osso-esd-dev
 Standards-Version: 3.6.0
 
 Package: libsdl1.2-dev

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,11 @@
 else
 	CFLAGS += -O2
 endif
+
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -75,6 +80,9 @@
 
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	install -d $(CURDIR)/debian/tmp/etc/osso-af-init
+	install -m755 $(CURDIR)/debian/sdl.defs \
+	$(CURDIR)/debian/tmp/etc/osso-af-init
 
 
 # Build architecture-independent files here.
@@ -100,7 +108,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=libsdl1.2
 	dh_compress
 	dh_fixperms
 #	dh_perl
